﻿<?xml version="1.0" encoding="utf-8"?>
<Application>
  <DisplayInfo Title="DaVinci Resolve" Publisher="Blackmagic Design" Version="" ReleaseDate="">
    <UserCategories>
    </UserCategories>
    <SoftwareCategories>
    </SoftwareCategories>
  </DisplayInfo>
  <DeploymentType Title="" Architecture="x86" Technology="Script" DetectionMethod="Script" ContentLocation="\\server01\sources$\Blackmagic Design\DaVinci Resolve\archive\{SoftwareVersion}\win_{Architecture}\">
    <UninstallCommand>"Deploy-Application.exe" Uninstall -InstallVersion {SoftwareVersion}</UninstallCommand>
    <InstallCommand>"Deploy-Application.exe" Install -InstallVersion {SoftwareVersion}</InstallCommand>
    <DetectionScript RunAs32Bit="False" Language="PowerShell">
      <TEXT>$DisplayName = '{DetectionName}'
if([version]::TryParse('{DetectionVersion}',[ref]$null)) {
	$DisplayVersion = [version]'{DetectionVersion}'
} else {
	$DisplayVersion = [version]'{DetectionVersion}.0'
}
$Architecture = '{Architecture}'
$DetectionRegPath = 'HKLM:\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall'
$RegKey = Get-ChildItem -Path $DetectionRegPath | Where-Object {$_.GetValue('DisplayName') -like "$DisplayName"}

if($RegKey) {
    if([version]$RegKey.GetValue('DisplayVersion') -ge $DisplayVersion) {
        return $true
    }
}</TEXT>
    </DetectionScript>
  </DeploymentType>
</Application>